<script lang="ts">
	import { onMount } from 'svelte';
	import { fade } from 'svelte/transition';

	export let show = false;

	let loaded = false;
	onMount(() => {
		loaded = true;
	});
	$: if (loaded) {
		if (show) {
			document.body.style.overflow = 'hidden'; // Disable scrolling when dialog is open
		} else {
			document.body.style.overflow = ''; // Re-enable scrolling when dialog is closed
		}
	}
</script>

<div class="relative">
	{#if show}
		<div
			class="fixed inset-0 overflow-y-auto flex items-center justify-center z-[1003]"
			transition:fade
		>
			<div
				class="fixed inset-0 bg-black opacity-50"
				on:click|self={() => (show = false)}
				on:keydown
			/>

			<dialog
				class="bg-transparent shadow-lg rounded-lg p-2 w-fit h-fit md:h-3/4 flex flex-col items-center"
				open={show}
				on:close={() => (show = false)}
			>
				<img
					src="/carte_noel_2024.jpg"
					alt="Information sur les ventes de noel"
					class="md:h-5/6 rounded-t-xl"
				/>

				<div class="flex gap-2 items-center justify-between w-full bg-noir-400 p-4 rounded-b-xl">
					<button
						class="py-2 px-4 w-fit rounded-lg border border-primary-500 bg-noir-500 text-white text-center"
						on:click={() => (show = false)}
					>
						Fermer
					</button>
					<a
						class="py-2 px-4 w-fit rounded-lg border border-primary-500 bg-noir-500 text-white text-center"
						href="/carte_noel_2024.jpg"
						download
					>
						Télecharger
					</a>
					<a
						class="py-2 px-4 w-fit rounded-lg border border-primary-500 bg-noir-500 text-white text-center"
						target="_blank"
						href="https://www.facebook.com/boulangeriemadamepain/posts/pfbid0JWFHiUxa2pMdBozx6DJM54LBJb84FWTrDHVc1ueLcveeWwg4NNoS7xzs4dWUYuhhl"
					>
						Voir sur Facebook
					</a>
				</div>
			</dialog>
		</div>
	{/if}
</div>
